[SM-Grimoire-Bugs] [Bug 14430] New: compiling kdegraphics4 4.0.3 fails to find NEPOMUK_LIBRARY

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Wed Apr 2 20:42:19 EDT 2008


http://bugs.sourcemage.org/show_bug.cgi?id=14430

           Summary: compiling kdegraphics4 4.0.3 fails to find
                    NEPOMUK_LIBRARY
           Product: Codex
           Version: test grimoire
          Platform: All
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P2
         Component: kde
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: sandalle at sourcemage.org


$ sorcery -v
1.14.0

# cast kdegraphics4
kdegraphics4 checking dependencies...
kdegraphics4 has a dependency on g++
kdegraphics4 has a dependency on cmake
kdegraphics4 has a dependency on kdebase4-runtime
kdegraphics4 has an optional dependency on kdebase-workspace4 (kde desktop)
Do you want to use kdebase-workspace4? [y]
kdegraphics4 has a dependency on freetype2
kdegraphics4 has an optional dependency on ghostscript (printing support)
Do you want to use ghostscript? [y]
kdegraphics4 requests ghostscript with LIBS
kdegraphics4 has an optional dependency on libgphoto2 (build kamera)
Do you want to cast libgphoto2? [n]
kdegraphics4 has an optional dependency on exiv2 (decode photo exif data)
Do you want to use exiv2? [y]
kdegraphics4 has an optional dependency on sane-backends (build kooka)
Do you want to cast sane-backends? [n]
kdegraphics4 has an optional dependency on some OPENGL (build kpovmodeler).
        (0)     [none]
        (1)     dri
        (2)     mesalib  (installed)
        (3)     nvidia_driver
        (4)     nvidia_legacy
        (5)     nvidia_legacy_96xx
        (6)     xdirectfb
        (7)     xfree86
        (8)     xfree86-4.3
        (9)     xfree86-devel
        (a)     xfree86-libs
        (b)     xorg
Which one do you want? [2]
kdegraphics4 has an optional dependency on libspectre (render PS files)
Do you want to use libspectre? [y]
kdegraphics4 has an optional dependency on tiff (Ligature TIFF plugin)
Do you want to use tiff? [y]
kdegraphics4 has an optional dependency on jpeg (Ligature djvu-plugin)
Do you want to use jpeg? [y]
kdegraphics4 has an optional dependency on poppler (Ligature PDF-plugin)
Do you want to use poppler? [y]
kdegraphics4 has an optional dependency on chmlib (read Windows help files)
Do you want to cast chmlib? [n]
kdegraphics4 has an optional dependency on djvulibre (read DejaVu files)
Do you want to cast djvulibre? [n]
kdegraphics4 has an optional dependency on qimageblitz (image manipulation)
Do you want to use qimageblitz? [y]
...
[ 25%] Building CXX object kbugbuster/CMakeFiles/kbugbuster.dir/gui/kbbmainwindow.o

0 Casting spell [kdesd  2* cast kdesdk4  3 Failed kdegraphics4                  
+ SANE: SANE libraries which are needed by applications that want to access
scanners. <http://www.sane-project.org>
Provides scanning support for the kscanplugin.
+ Nepomuk: A library to access desktop-wide metadata <http://www.kde.org>
Provides desktop-wide metadata support for gwenview.
+ Poppler-Qt4, 0.5.4: A PDF rendering library <http://poppler.freedesktop.org>
Support for PDF files in okular.
+ CHM: A library for dealing with Microsoft ITSS/CHM format files
<http://www.jedrea.com/chmlib>
Support CHM files in okular.
+ DjVuLibre, 3.5.17: A library for dealing with DjVu formatted files
<http://djvulibre.djvuzone.org>
Support for DjVu files in okular.
-----------------------------------------------------------------------------
CMake Error: This project requires some variables to be set,
and cmake can not find them.
Please set the following variables:
NEPOMUK_LIBRARY

AFAIK I never selected Nepomuk (whatever that is).

$ gaze search -name nepomuk
$

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list